> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/resources/reference/guidelines-for-capturing-payment-details.md).

# Guidelines for capturing payment details

## **Immediate payment method (Credit Card)**

* You may create a credit card source at any point in your checkout flow.

## **One-Click buttons (Apple Pay, Google Pay, PayPal)**

* Do not allow customers to click the "One-Click" buttons until they agree to all the required terms.
* After authorization by the one-click provider, submit the order and direct the shopper to the Thank You page. You should not allow changes to the order at this point.

## **Redirect payment methods**

* Before creating a redirect payment source, your order should be in a final state for all amounts, including taxes, shipping, duties, and fees.
* Before following the redirect, the shopper must agree to all the required terms.
* Once the payment provider approves the payment, you should submit the order and direct the shopper to the Thank You page. You should not allow changes to the order at this point.

## **Delayed repayment methods**

* Before creating a delayed payment source, your order should be in a final state for all amounts, including taxes, shipping, duties, and fees.
* Once created, you should submit the order and direct the shopper to the Thank You page. You should not allow changes to the order at this point.
* On the Thank You page, you should display the details included in the source about how to pay. This may consist of wiring money or paying at a physical location such as a store.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/resources/reference/guidelines-for-capturing-payment-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
